/*
 *========================================================================
 * $Id: dump_problem.c 27 2004-01-25 06:35:11Z rgb $
 *
 * See copyright in copyright.h and the accompanying file COPYING
 *========================================================================
 */

#include "flashcard.h"

/*
 * This routine just dumps the contents of the indexed problem so we
 * can check how it was parsed.  One size fits all, since it processes
 * the entire struct (same for all problems).  Slow it down (with the
 * sleep) if it goes too fast to see during a debug session.
 */

dump_problem(int i,int abit)
{

 int j,delay=0;

 wprintw(historyb.win,"Problem [%d]\n",i);
 wprintw(historyb.win,"======================================================\n");
 wprintw(historyb.win,"Type:         %s\n",problem_list[i].type);
 wprintw(historyb.win,"Audio(path):  %s\n",problem_list[i].audio);
 wprintw(historyb.win,"Question:     %s\n",problem_list[i].question);
 wprintw(historyb.win,"Answer:       %s\n",problem_list[i].answer);
 sleep(delay);
 wrefresh(historyb.win);
 wprintw(historyb.win,"Show Choices: %d\n",problem_list[i].show);
 wprintw(historyb.win,"Prompt:       %s\n",problem_list[i].prompt);
 for(j=0;j<problem_list[i].numchoices;j++){
   if(problem_list[i].choices[j].aid) {
     wprintw(historyb.win,"Answer:     %s\n",problem_list[i].choices[j].text);
   } else {
     wprintw(historyb.win,"Fooler:     %s\n",problem_list[i].choices[j].text);
   }
 }
 wprintw(historyb.win,"Explanation:  %s\n",problem_list[i].explanation);
 wprintw(historyb.win,"======================================================\n");
 wrefresh(historyb.win);
 sleep(abit);

}
