/*
 *========================================================================
 * $Id: flashcard.c 2 2004-01-16 16:35:02Z rgb $
 *
 * See copyright in copyright.h and the accompanying file COPYING
 *========================================================================
 */

/*
 *========================================================================
 *  Project template.
 *========================================================================
 */

#include "flashcard.h"


/*
 * main() is just a shell for routines that parse the command line,
 * do all the requested work, and then exit cleanly.  main() is pretty
 * much all there is in flashcard.c
 */
int main(int argc, char *argv[]) 
{

 /*
  * Parse command line and set global variables
  */
 parsecl(argc,argv);

 /*
  * Note that most of my flashcards (except the terminally simple/stupid) 
  * have three phases after parsecl():
  *
  * Startup: Allocate memory, initialize all derivative variables from
  * command line values.  In this application, we initialize curses here
  * as well.
  */
 flashcard_startup();

 /*
  * Work: Do all the work.  In a complicated flashcard, project_work would
  * itself be a shell for a lot of other modular routines.
  */
 flashcard_work();

 /* 
  * Quit:  Done. Clean up (if necessary) and exit.
  */
 flashcard_quit();

}
