# flashcard spec file.

Summary: An ncurses/tty flashcard program

Name: flashcard
Version: 1.1.6
Release: 1
Requires: sox
Group: Applications/Multimedia
License: Open Source (GPL v2b)
Source: %{name}-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description 
This is an ncurses based flashcard program that uses flashcards based on
xml tags.  It can present a variety of sorts of content -- multiple
choice, audio-based spelling problems, true/false, with quite complex
answer patterns supported.  It should work adequately in any xterm or
similar window.  However, most people will want to use gflashcard, the
GTK-based big brother of the flashcard program, which is largely frozen
except for bugfixes so development effort can focus on a proper GUI
version for generic X-based systems.

%prep
%setup -q -n %{name}

%build
make clean
make

%install
make PREFIX=%{buildroot}/usr install

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%files 
%defattr(-,root,root)
# The flashcard binary
/usr/bin/flashcard
# The flashcard man page
/usr/share/man/man1/flashcard.1.gz

# Flashcard components
# /usr/share/flashcard/examples/*

# The flashcard documents
%doc README INSTALL

%post

%changelog
* Wed Dec  20 2006 Robert G. Brown <rgb@duke.edu>
- revised/frozen as superceded by gflashcard for FC 6
* Wed Dec  31 2000 Robert G. Brown <rgb@duke.edu>
- set up and built for RH 7.3
