/*
 *========================================================================
 * $Id: flashcard_quit.c 27 2004-01-25 06:35:11Z rgb $
 *
 * See copyright in copyright.h and the accompanying file COPYING
 *========================================================================
 */

/*
 *========================================================================
 *  Project work template.
 *========================================================================
 */

#include "flashcard.h"

void flashcard_quit()
{

 /*
  * termination and cleanup, can be called from anywhere.  We MUST
  * verify that exit() kills all threads and not just the main one
  * or we'll leak like a sunnybeach.
  */
 pthread_cancel(timertid);
 refresh();
 erase();
 endwin();
 if(state.count){
   printf("\nFlashcard Results:\nFinal score: Correct = %d, Incorrect = %d, Percentage = %6.2f\%\n",
     state.correct,state.incorrect,100.0*state.correct/state.count);
 } else {
   printf("\nFlashcard Results:\nFinal score: Correct = %d, Incorrect = %d, Percentage = %6.2f\%\n",
     state.correct,state.incorrect,0.0);
 }
 if(state.mode == TEST){
   printf("Elapsed time in test = %d\n\n",state.total_time);
 } else {
   printf("Elapsed time in practice mode = %d\n\n",state.total_time);
 }
 exit(0);

}
