/*
 *========================================================================
 * $Id: options.c 31 2004-01-25 23:28:59Z rgb $
 *
 * See copyright in copyright.h and the accompanying file COPYING
 *========================================================================
 */

/*
 *========================================================================
 * Problem presentation routines.  Presentation only -- timer is started
 * elsewhere, and then results are collected and evaluated still elsewhere.
 *========================================================================
 */

#include "flashcard.h"

void options(char c)
{

 if(verbose){
   wprintw(historyb.win,"options: Executing Esc-%c function.\n",(char) c);
   wrefresh(historyb.win);
 }

 /*
  * We should make a list of options (some of them not yet implemented):
  *  Q(uit)
  *  D(irectory change)
  *  N(ew file)
  *  S(ound toggle)
  *  L(ist menu) [LIST/RANDOM]
  *  M(ode menu) [PRACTICE/TEST/LEARNING]
  *  P(ause/resume toggle)
  *  R(epeat set)
  *  W(eight for frequency of presentation of errors)
  *
  * and maybe more...
  */
 switch(c){
   /* q is for quit */
   case 'q':
   case 'Q':
     flashcard_quit();
     break;
   /*
    * d is for directory change.  A directory change will often
    * BREAK a flashfile, so it causes a state change.  We'll
    * need to change state.state to NONE and FORCE a file reload
    * whenever we actually change directory.  For now we just
    * do it.
    */
   case 'd':
   case 'D':
     change_directory();
     break;
   /*
    * n is for new flashcard file.  We do ALL OF THIS by manipulating
    * state now, so this is cruft and won't work.
    */
   case 'n':
   case 'N':
     if(state.state != NONE){
       state.suspend = YES; /* Mark this as suspended, so we can return */
     }
     state.state = NONE;  /* Try to load a new file */
     break;
   /*
    * This means that no character was found and processed.
    */
   default:
     break;
 }


}
