/*
 *========================================================================
 * $Id: timer.c 27 2004-01-25 06:35:11Z rgb $
 *
 * See copyright in copyright.h and the accompanying file COPYING
 *========================================================================
 */

/*
 *========================================================================
 *  Project work template.
 *========================================================================
 */

#include "flashcard.h"

void timer(int *pi)
{

 /* zero problem timer */
 pstate.problem_time = 0;

 /* Show time remaining for test, elapsed time for problem */
 if(state.mode == TEST){
   mvwprintw(timerb.win,0,0,"%8d",state.time_max - pstate.problem_time);
   wclrtoeol(timerb.win);
   wrefresh(timerb.win);
 }
 /* loop forever by default, terminate on conditions inside loop */
 while(-1){
   /* wait one second */
   sleep(1);
   /* Cruft?  if(quit_flag) return; */
   /* increment problem time */
   pstate.problem_time++;
   /* increment total_time and display it in message window */
   state.total_time++;
   mvwprintw(elapsedb.win,0,0,"%7d",state.total_time);
   wrefresh(elapsedb.win);

   /*
    * Depending on whether 'tis PROBLEM or TEST, update timer display,
    * check for being done, kill the problem tid if necessary, increment
    * incorrect counter as necessary, and exit/return.
    */
   if(state.mode == TEST){
     mvwprintw(timerb.win,0,0,"%8d",state.time_max - pstate.problem_time);
     wrefresh(timerb.win);
     /* out of time, sorry */
     if((state.time_max - pstate.problem_time) == 0){
       /* kill the problem right away.  ignore possible RARE race condition. */
       pthread_cancel(probtid);
       /*
        * If the timer expired, the problem is marked wrong.  Hopefully it
        * wasn't "just" marked right in problem.  We can resolve this (tie
        * goes to the student) back in flashcard work by checking
        * correct+incorrect = count, and decrementing incorrect if
        * necessary.
        */
       increment_incorrect();
       wprintw(historyb.win," Too Late! %s %s\n",problem_list[*pi].question,
         problem_list[*pi].answer);
       wrefresh(historyb.win);
       return;
     } else if(state.mode == PRACTICE){
       mvwprintw(elapsedb.win,0,0,"%7d",state.total_time);
       wrefresh(elapsedb.win);
     }
   }
      
 }

}
